import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class Midlet extends MIDlet implements CommandListener
{
    public static Midlet m;
    public Display di;
    public menu menus;
    public play plays;
    public setting settings;
    public about abouts;
    public profile profiles;
    public Form addName = new Form("Fiery Sky - NDTpro");
    public TextField name = new TextField("Tên Nhân Vật", null, 15, 0);
    public Command back = new Command("Hủy", Command.CANCEL, 1);
    public Command save = new Command("Tạo", Command.OK, 1);
    public boolean start;

    public Midlet()
    {
        m = this;
        di = Display.getDisplay(this);
        menus = new menu(this);
        plays = new play(this);
        settings = new setting(this);
        abouts = new about(this);
        profiles = new profile(this);
        start = true;
    }
    public void startApp()
    {
        menu();
    }

    public void pauseApp()
    {
    }

    public void destroyApp(boolean u)
    {
    }

    public void exit()
    {
        notifyDestroyed();
    }

    public void newPlay()
    {
        addName.addCommand(back);
        addName.addCommand(save);
        addName.append(name);
        addName.append("* Lưu ý: Tên nhân vật gồm các chữ cái từ a-z, A-Z, 0-9 không được có chữ hoa.");
        addName.setCommandListener(this);
        di . setCurrent(addName);
    }

    public void commandAction(Command c, Displayable da)
    {
        if (c == back)
        {
            menu();
        }
        if (c == save)
        {
            if (name.getString() . equals(""))
            {
                di . setCurrent(new Alert("Cảnh báo", "Chưa nhập tên nhân vật!", null, AlertType.ERROR));
            }
            else
            {
                data.save(data.db, 6, "" + 200);
                data.save(data.db, 5, "" + 1);
                data.save(data.db, 8, "" + 100);
                data.save(data.db, 7, "" + 10);
                data.save(data.db, 2, "" + 4);
                data.save(data.db, 4, "" + 5);
                data.save(data.db, 3, "" + 500);
                data.save(data.db, 1, name.getString());
                profiles.lv = data.load(data.db, 5, 1);
                profiles.xu = data.load(data.db, 6, 200);
                profiles.hp = data.load(data.db, 8, 100);
                profiles.tc = data.load(data.db, 7, 10);
                profiles.sp = data.load(data.db, 2, 4);
                profiles.sb = data.load(data.db, 4, 5);
                profiles.tb = data.load(data.db, 3, 500);
                start = true;
                play();
            }
        }
    }

    public void menu()
    {
        di . setCurrent(menus);
    }

    public void play()
    {
        plays.start();
        di . setCurrent(plays);
    }

    public void setting()
    {
        di . setCurrent(settings);
    }

    public void about()
    {
        di . setCurrent(abouts);
    }

    public void profile()
    {
        di . setCurrent(profiles);
    }
}